import Foundation
import AppKit

enum ImageType: CaseIterable {
    case jpg
    case png

    init?(fileExtension: String) {
        switch fileExtension {
        case "jpg", "jpeg":
            self = .jpg
        case "png":
            self = .png
        default:
            return nil
        }
    }

    var fileType: NSBitmapImageRep.FileType {
        switch self {
        case .jpg:
            return .jpeg
        case .png:
            return .png
        }
    }
}
